#
# spec file for package nana (Version 2.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         nana
Copyright:    (c) 1995,1996,1997,1998 Phil Maker. All rights reserved.
Group:        Development/Libraries
Autoreqprov:  on
Version:      2.4
Release:      307
Summary:      Support for assertions and logging in C and C++
Source: nana-2.4.tar.gz
Source1: nana.html.tar.gz
#Patch:  nana-2.4.dif

%description
GNU1 Nana is a free library providing improved support for assertion
checking and logging in C and C++. It also provides some support for
``Design by Contract''. The library, source code, and documentation
are available under a Free license. It also provides some support
for statement/function call tracing, performance measurement and
shortform generation.

Authors:
--------
    P.J.Maker <pjm@gnu.org>

SuSE series: d

%prep
%setup -n nana-2.4
%setup -n nana-2.4 -T -D -a 1
#%patch

%build
export RPM_BUILD_ROOT
mkdir html
cp *.html html/
./configure --prefix=$RPM_BUILD_ROOT/usr \
	--libexecdir=$RPM_BUILD_ROOT/usr/lib/nana \
	--mandir=$RPM_BUILD_ROOT/%{_mandir} \
	--infodir=$RPM_BUILD_ROOT/%{_infodir}
make

%install
make install

%files
%doc html ANNOUNCE TODO AUTHORS COPYING ChangeLog
%doc NEWS PROJECTS README REGISTRATION THANKS examples
/usr/bin/nana 
/usr/bin/nana-clg 
/usr/bin/nana-run 
/usr/bin/nana-c++lg 
/usr/bin/nana-sfg
/usr/bin/nana-sfdir
/usr/bin/nana-trace
/usr/bin/nana-libtrace
/usr/lib/libnana.a 
/usr/lib/nana/nanafilter 
/usr/lib/nana/nana-trace.gdb
/usr/share/nana/nana-run.gdb 
/usr/share/nana/nana-run-init.gdb
%doc %{_mandir}/man1/nana.1.gz
%doc %{_mandir}/man1/nana-clg.1.gz
%doc %{_mandir}/man3/I.3.gz
%doc %{_mandir}/man3/DI.3.gz
%doc %{_mandir}/man3/L.3.gz
%doc %{_mandir}/man3/DL.3.gz
%doc %{_mandir}/man3/Q.3.gz
%doc %{_mandir}/man3/Qstl.3.gz
%doc %{_mandir}/man3/nana.3.gz
%doc %{_infodir}/nana.info.gz
%doc %{_infodir}/nana.info-1.gz
%doc %{_infodir}/nana.info-2.gz
%doc %{_infodir}/nana.info-3.gz
/usr/include/nana-config.h
/usr/include/nana.h
/usr/include/DI.h
/usr/include/I.h
/usr/include/DL.h
/usr/include/L.h
/usr/include/Q.h
/usr/include/GDB.h
/usr/include/L_buffer.h
/usr/include/now.h
/usr/include/eiffel.h
/usr/include/Qstl.h
/usr/include/calls.h
/usr/include/nana_error.h
/usr/include/L_times.h
/usr/include/cycles.h

%changelog -n nana
* Fri Apr 06 2001 - kukuk@suse.de
- fix group tag
* Sat Mar 04 2000 - uli@suse.de
- moved man/info pages to %%{_mandir}/%%{_infodir}
* Sun Oct 17 1999 - ro@suse.de
- fixed neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 09 1999 - mt@suse.de
- new version 2.4
